Tenants
List API keys
Returns the authenticated tenant's API keys.
GET
/v1/tenants/my-api-keysAuthorization
APIKeyHeader api-key<token>
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.haufe.ai/agents/v1/tenants/my-api-keys"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"api_keys": [
{
"api_key": "d4e5f6a7-8901-bcde-f012-456789012345",
"created_at": "2025-01-15T10:30:00.000000Z",
"id": "c3d4e5f6-7890-abcd-ef01-345678901234",
"last_updated_at": "2025-03-01T14:22:10.000000Z"
}
]
}{
"error_code": "bad_request",
"detail": "Bad request"
}{
"error_code": "tenant_not_found",
"detail": "Tenant not found"
}{
"error_code": "validation_error",
"detail": [
{
"loc": [
"body",
"name"
],
"message": "Field required",
"type": "missing"
}
]
}{
"error_code": "rate_limit_gateway",
"detail": "Rate limit exceeded"
}